DirectoryIterator::current
DirectoryIterator::getBasename
DirectoryIterator
PHP Manual

# DirectoryIterator::getATime

(PHP 5)

DirectoryIterator::getATime — Get last access time of the current DirectoryIterator item

### Description

public int DirectoryIterator::getATime ( void )

Get the last access time of the current DirectoryIterator item.

### Parameters

This function has no parameters.

### Return Values

Returns the time the file was last accessed, as a Unix timestamp.

### Examples

Example #1 A DirectoryIterator::getATime() example

Displays a list of the files in the directory of the script and their last access times.

`<?php
$iterator = new DirectoryIterator(dirname(__FILE__));
foreach ($iterator as $fileinfo) {
if ($fileinfo->isFile()) {
echo $fileinfo->getFilename() . " " . $fileinfo->getATime() . "\n";
}
}
?>`

The above example will output something similar to:

    apple.jpg 1240047118
    banana.jpg 1240065176
    index.php 1240047208
    pear.jpg 12240047979

### See Also

- DirectoryIterator::getCTime() - Get inode change time of the current DirectoryIterator item
- DirectoryIterator::getMTime() - Get last modification time of current DirectoryIterator item
- fileatime() - Gets last access time of file

DirectoryIterator::current
DirectoryIterator::getBasename
DirectoryIterator
PHP Manual